#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "debug_info4xi.py">
#<abstract4xi abstract = "returns infor for debugging"/>
#<refer4xi reference = "util.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------
                             

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'debug_info4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass

                
try:                 # most-common ones
    import weakref
    import array
    import queue
    from traceback import format_exc         
except:
    pass
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>
 
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from lock4xi import Lock4Xi
from print4xi import print4xi
from rlock4xi import RLock4Xi
from time4xi import time4xi

#"
#/>

#
# -------------------------------------------------------------------------------------------------
# debug_info4xi function: returns info for debugging                             
#
#<function4xi function = "debug_info4xi" usage = "
#   returns info for debugging 
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def debug_info4xi(msg):
    '''
    debug_info4xi: returns info for debugging 
    '''    
                
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------   
    class2print = "debug_info4xi"
    method2print = "debug_info4xi"
    
    message2print = "{started" + "; debug-info4xi-started: " + str(debug_info4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 

    # ---------------------------------------------------------------------------------------------    
    #
    # --------------------------------------------------------------------------------------------- 
        
    message2print = "{passing" + "; msg-passing-to-print4xi-by-debug-info4xi: " + str(msg) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    # Token4Xi(typeid='ip', address=('localhost', 8080), id='yourdragonxi.com'); time: 05:32:24 02/12/13 Pacific Standard Time
        
    message2print = "{informing" + "; replace-informing-by-debug-info4xi: " + " * replace debug_info4xi calls with print4xi calls !"  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
    
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------   
    message2print = "{returning" + "; debug-info4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    
    return        

#</function4xi>     
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>

 
# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of debug_info4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>



